Bug 1395152 - python-sprox: Provide a Python 3 subpackage
Summary: python-sprox: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-sprox   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE 1395150
TreeView+ depends on / blocked
 
Reported: 2016-11-15 09:49 UTC by Iryna Shcherbina
Modified: 2018-04-25 10:49 UTC (History)
3 users (show)

Fixed In Version: python-sprox-0.10.2-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-24 15:52:38 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to provide Python 3 package (5.90 KB, application/mbox)
2017-02-20 17:16 UTC, Iryna Shcherbina
no flags Details

Description Iryna Shcherbina 2016-11-15 09:49:49 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Iryna Shcherbina 2017-02-20 17:16 UTC
Created attachment 1255834 [details]
Patch to provide Python 3 package

Hi Luke,

Please find the change needed to add Python 3 support and update to the latest version attached. Could you please review it and do the update?

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=17971166


Note You need to log in before you can comment on or make changes to this bug.